Subject: Re: bug#74981: 29.4; X11 crash when minibuffer text scale is increased greatly

From: Eli Zaretskii <[email-masked]>
Date: Sat, 21 Dec 2024 09:32:56 +0200

> From: Joseph Turner <[email-masked]>
> Cc: [email-masked], Visuwesh <[email-masked]>
> Date: Fri, 20 Dec 2024 18:15:33 -0800
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> Date: Thu, 19 Dec 2024 14:06:59 -0800
> >> From:  Joseph Turner via "Bug reports for GNU Emacs,
> >>  the Swiss army knife of text editors" <[email-masked]>
> >> 
> >> Tested on two window managers, exwm and dwm, with emacs -Q:
> >> 
> >> Open the minibuffer, e.g., with M-x eval-expression.  Run
> >> text-scale-adjust with C-x C-=. The minibuffer text gets
> >> bigger. Repeatedly press C-= until X11 crashes, bringing you back to the
> >> login prompt.
> >
> > Thanks.
> >
> > I can't reproduce this, but I'm not on X11.  What happens here is that
> > after many "C-x C-= C-=" presses, the minibuffer (whose contents
> > becomes illegible long before that) starts blinking, and I need to C-g
> > out of it (or C-x C-c to kill Emacs).  This seems harmless enough,
> > since the enlarged font is not useful past the point where the
> > minibuffer no longer shows the minibuffer text.
> >
> > Can you run this under GDB, and when Emacs crashes, type
> >
> >   (gdb) thread apply all bt
> >
> > and post everything GDB produces as result?
> 
> Since the entire X11 session crashes, I'm not sure how to do this.
> 
> Please advise.  Thanks!

I thought by "X11 session crashes" you meant the Emacs session.  If
X11 itself crashes, then I'd first look in the syslog file for any
more detailed information about the crash, and then look for
description of similar X11 crashes on the Internet.  Also, perhaps
upgrading or downgrading your X11 version would fix the problem.

Perhaps you can run X11 itself under GDB, but I don't know how.
Sorry.

One other idea is to change the font you use for the default face,
maybe it's the font which causes the problem.  Cairo could also be the
culprit, so using a different version of Cairo or a non-Cairo build
might solve the problem.

Finally, can I ask why you need to repeatedly press C-= so many times?
is that a real-life need or just a curiosity?